package com.yonge.netty.entity;

/**
 * 音符信息
 */
public class MusicXmlNote {

	// 音符起始时间戳(第一个音符是0ms)
	private double timeStamp;

	// 当前音符持续的播放时间（ms）
	private double duration;

	// 当前音符的频率
	private float frequency;

	// 下一个音的频率（不是乐谱中下一个音符的频率）
	private float nextFrequency;

	// 上一个音的频率（不是乐谱中上一个音符的频率）
	private float prevFrequency;

	// 当前音符所在的小节下标（从0开始）
	private int measureIndex;

	// 当前音符是否需要评测
	private boolean dontEvaluating;

	// 当前音符在整个曲谱中的下标（从0开始）
	private int musicalNotesIndex;
	
	// 多少分音符
	private int denominator;
	
	private int measureRenderIndex;

	public double getTimeStamp() {
		return timeStamp;
	}

	public void setTimeStamp(double timeStamp) {
		this.timeStamp = timeStamp;
	}

	public double getDuration() {
		return duration;
	}

	public void setDuration(double duration) {
		this.duration = duration;
	}

	public float getFrequency() {
		return frequency;
	}

	public void setFrequency(float frequency) {
		this.frequency = frequency;
	}

	public float getPrevFrequency() {
		return prevFrequency;
	}

	public void setPrevFrequency(float prevFrequency) {
		this.prevFrequency = prevFrequency;
	}

	public float getNextFrequency() {
		return nextFrequency;
	}

	public void setNextFrequency(float nextFrequency) {
		this.nextFrequency = nextFrequency;
	}

	public int getMeasureIndex() {
		return measureIndex;
	}

	public void setMeasureIndex(int measureIndex) {
		this.measureIndex = measureIndex;
	}

	public boolean getDontEvaluating() {
		return dontEvaluating;
	}

	public void setDontEvaluating(boolean dontEvaluating) {
		this.dontEvaluating = dontEvaluating;
	}

	public int getMusicalNotesIndex() {
		return musicalNotesIndex;
	}

	public void setMusicalNotesIndex(int musicalNotesIndex) {
		this.musicalNotesIndex = musicalNotesIndex;
	}

	public int getDenominator() {
		return denominator;
	}

	public void setDenominator(int denominator) {
		this.denominator = denominator;
	}

	public int getMeasureRenderIndex() {
		return measureRenderIndex;
	}

	public void setMeasureRenderIndex(int measureRenderIndex) {
		this.measureRenderIndex = measureRenderIndex;
	}
}
